BSL430.NET 1.2.1

Public Member Functions | Properties | List of all members
RJCP.IO.Ports.Native.Windows.CommProperties Class Reference

Abstracts the Win32 API GetCommProperties(). More...

## Public Member Functions
void | GetCommProperties ()
bool | IsValidDataBits (int databits)
| Check if the number of data bits is settable. More...
bool | IsValidStopBits (StopBits stopbits)
| Check if the number of stop bits is settable. More...
bool | IsValidParity (Parity parity)
| Check if the parity is supported. More...
bool | IsValidBaud (int baudrate)
| Check if the baud rate value given is settable. More...

## Properties
int | MaxTxQueue`[get]`
int | MaxRxQueue`[get]`
int | CurrentTxQueue`[get]`
int | CurrentRxQueue`[get]`
bool | IsSettableParity`[get]`
bool | IsSettableBaud`[get]`
bool | IsSettableDataBits`[get]`
bool | IsSettableStopbits`[get]`
bool | IsSettableHandshaking`[get]`
bool | IsSettableParityCheck`[get]`
bool | IsSettableRlsd`[get]`
bool | IsDtrDsrSupported`[get]`
bool | IsRtsCtsSupported`[get]`
bool | IsRlsdSupported`[get]`
bool | IsParityCheckSupported`[get]`
bool | IsXOnXOffSupported`[get]`
bool | IsXCharSupported`[get]`
bool | IsTotalTimeoutsSupported`[get]`
bool | IsIntervalTimeoutsSupported`[get]`
bool | IsSpecialCharsSupported`[get]`
bool | Is16BitSupported`[get]`
bool | IsUnspecifiedType`[get]`
bool | IsRs232Type`[get]`
bool | IsParallelPortType`[get]`
bool | IsRs422Type`[get]`
bool | IsRs423Type`[get]`
bool | IsRs499Type`[get]`
bool | IsModemType`[get]`
bool | IsFaxType`[get]`

## Detailed Description

Abstracts the Win32 API GetCommProperties().

## Member Function Documentation

## ◆ IsValidBaud()

bool RJCP.IO.Ports.Native.Windows.CommProperties.IsValidBaud | ( | int | baudrate | ) |

Check if the baud rate value given is settable.

This function relies on the `dwSettableBaud` parameter. It does not rely on the `dwMaxBaud` parameter as if they don't match, then this is an inconsistency in the Windows serial driver.

Parameters

  baudrate | The baud rate to check for.

Returns
  true if the baud rate is indicated to be supported.

## ◆ IsValidDataBits()

bool RJCP.IO.Ports.Native.Windows.CommProperties.IsValidDataBits | ( | int | databits | ) |

Check if the number of data bits is settable.

Parameters

  databits | The number of data bits the user wants to set.

Returns
  true if the number of data bits is indicated as supported.

## ◆ IsValidParity()

bool RJCP.IO.Ports.Native.Windows.CommProperties.IsValidParity | ( | Parity | parity | ) |

Check if the parity is supported.

Parameters

  parity | The parity the user wants to set.

Returns
  true if the parity is indicated as supported.

## ◆ IsValidStopBits()

bool RJCP.IO.Ports.Native.Windows.CommProperties.IsValidStopBits | ( | StopBits | stopbits | ) |

Check if the number of stop bits is settable.

Parameters

  stopbits | The number of stop bits the user wants to set.

Returns
  true if the number of stop bits is indicated as supported.

The documentation for this class was generated from the following file:

- C:/PROJECTS/C#/BSL430.NET/src/BSL430.NET/Library/serialportstream/2.1.4/src/Native/Windows/CommProperties.cs